Skip to main content
aboutsummaryrefslogtreecommitdiffstats
path: root/osgi
diff options
context:
space:
mode:
authorslewis2018-02-28 19:16:57 -0500
committerslewis2018-02-28 19:16:57 -0500
commitc5f068ce4dcc7a839809f21cd93a460118474864 (patch)
tree9c74c6db2489fa5450cd947c2ebdefb9610b2836 /osgi
parentb3b92415140093cf7078fdd883e45dfcd7c37e52 (diff)
downloadorg.eclipse.ecf-c5f068ce4dcc7a839809f21cd93a460118474864.tar.gz
org.eclipse.ecf-c5f068ce4dcc7a839809f21cd93a460118474864.tar.xz
org.eclipse.ecf-c5f068ce4dcc7a839809f21cd93a460118474864.zip
bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=530952
Update to manifests for org.eclipse.ecf.remoteserviceadmin, org.eclipse.ecf.remoteserviceadmin.proxy and feature Change-Id: I0000000000000000000000000000000000000000
Diffstat (limited to 'osgi')
-rw-r--r--osgi/bundles/org.eclipse.ecf.osgi.services.remoteserviceadmin.proxy/META-INF/MANIFEST.MF3
-rw-r--r--osgi/bundles/org.eclipse.ecf.osgi.services.remoteserviceadmin.proxy/pom.xml2
-rw-r--r--osgi/bundles/org.eclipse.ecf.osgi.services.remoteserviceadmin/META-INF/MANIFEST.MF46
-rw-r--r--osgi/bundles/org.eclipse.osgi.services.remoteserviceadmin/META-INF/MANIFEST.MF3
-rw-r--r--osgi/bundles/org.eclipse.osgi.services.remoteserviceadmin/pom.xml2
5 files changed, 29 insertions, 27 deletions
diff --git a/osgi/bundles/org.eclipse.ecf.osgi.services.remoteserviceadmin.proxy/META-INF/MANIFEST.MF b/osgi/bundles/org.eclipse.ecf.osgi.services.remoteserviceadmin.proxy/META-INF/MANIFEST.MF
index b0f062fdb..83f1bc85e 100644
--- a/osgi/bundles/org.eclipse.ecf.osgi.services.remoteserviceadmin.proxy/META-INF/MANIFEST.MF
+++ b/osgi/bundles/org.eclipse.ecf.osgi.services.remoteserviceadmin.proxy/META-INF/MANIFEST.MF
@@ -2,6 +2,7 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: ECF Remote Service Admin (RSA) Proxy
Bundle-SymbolicName: org.eclipse.ecf.osgi.services.remoteserviceadmin.proxy
-Bundle-Version: 1.0.0.qualifier
+Automatic-Module-Name: org.eclipse.ecf.osgi.services.remoteserviceadmin.proxy
+Bundle-Version: 1.0.100.qualifier
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-Vendor: Eclipse.org - ECF
diff --git a/osgi/bundles/org.eclipse.ecf.osgi.services.remoteserviceadmin.proxy/pom.xml b/osgi/bundles/org.eclipse.ecf.osgi.services.remoteserviceadmin.proxy/pom.xml
index 388f5e5b2..26b744328 100644
--- a/osgi/bundles/org.eclipse.ecf.osgi.services.remoteserviceadmin.proxy/pom.xml
+++ b/osgi/bundles/org.eclipse.ecf.osgi.services.remoteserviceadmin.proxy/pom.xml
@@ -10,6 +10,6 @@
</parent>
<groupId>org.eclipse.ecf</groupId>
<artifactId>org.eclipse.ecf.osgi.services.remoteserviceadmin.proxy</artifactId>
- <version>1.0.0-SNAPSHOT</version>
+ <version>1.0.100-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project>
diff --git a/osgi/bundles/org.eclipse.ecf.osgi.services.remoteserviceadmin/META-INF/MANIFEST.MF b/osgi/bundles/org.eclipse.ecf.osgi.services.remoteserviceadmin/META-INF/MANIFEST.MF
index 06da45e87..81b83701c 100644
--- a/osgi/bundles/org.eclipse.ecf.osgi.services.remoteserviceadmin/META-INF/MANIFEST.MF
+++ b/osgi/bundles/org.eclipse.ecf.osgi.services.remoteserviceadmin/META-INF/MANIFEST.MF
@@ -10,31 +10,31 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-Localization: bundle
Export-Package: org.eclipse.ecf.internal.osgi.services.remoteserviceadmin;x-internal:=true,
org.eclipse.ecf.osgi.services.remoteserviceadmin;version="1.3.0"
-Require-Bundle: org.eclipse.ecf.osgi.services.remoteserviceadmin.proxy;bundle-version="1.0.0",
- org.eclipse.equinox.common
+Require-Bundle: org.eclipse.ecf.osgi.services.remoteserviceadmin.proxy;bundle-version="[1.0.0,2.0.0)",
+ org.eclipse.equinox.common;bundle-version="[3.0.0,4.0.0)"
Import-Package: javax.xml.parsers,
- org.eclipse.ecf.core;version="3.0.0",
- org.eclipse.ecf.core.events;version="3.1.0",
- org.eclipse.ecf.core.identity;version="3.2.0",
- org.eclipse.ecf.core.jobs;version="1.1.0",
- org.eclipse.ecf.core.security;version="3.1.0",
- org.eclipse.ecf.core.util;version="3.2.0",
- org.eclipse.ecf.discovery;version="4.1.0",
- org.eclipse.ecf.discovery.identity,
- org.eclipse.ecf.remoteservice;version="7.2.0",
- org.eclipse.ecf.remoteservice.events;version="6.0.0",
- org.eclipse.ecf.remoteservice.util;version="8.2.0",
- org.eclipse.equinox.concurrent.future;version="1.0.0",
- org.eclipse.osgi.framework.eventmgr,
- org.osgi.framework;version="1.3.0",
- org.osgi.framework.hooks.service;version="1.1.0",
+ org.eclipse.ecf.core;version="[3.0.0,4.0.0)",
+ org.eclipse.ecf.core.events;version="[3.1.0,4.0.0)",
+ org.eclipse.ecf.core.identity;version="[3.2.0,4.0.0)",
+ org.eclipse.ecf.core.jobs;version="[1.1.0,2.0.0)",
+ org.eclipse.ecf.core.security;version="[3.1.0,4.0.0)",
+ org.eclipse.ecf.core.util;version="[3.2.0,4.0.0)",
+ org.eclipse.ecf.discovery;version="[4.1.0,5.0.0)",
+ org.eclipse.ecf.discovery.identity;version="[3.0.0,4.0.0)",
+ org.eclipse.ecf.remoteservice;version="[7.2.0,8.0.0)",
+ org.eclipse.ecf.remoteservice.events;version="[6.0.0,7.0.0)",
+ org.eclipse.ecf.remoteservice.util;version="[8.2.0,9.0.0)",
+ org.eclipse.equinox.concurrent.future;version="[1.0.0,2.0.0)",
+ org.eclipse.osgi.framework.eventmgr;version="[1.0.0,2.0.0)",
+ org.osgi.framework;version="[1.3.0,2.0.0)",
+ org.osgi.framework.hooks.service;version="[1.1.0,2.0.0)",
org.osgi.framework.wiring;version="[1.0,2.0)",
- org.osgi.resource;version="1.0.0",
- org.osgi.service.event,
- org.osgi.service.log,
- org.osgi.service.remoteserviceadmin;version="1.1",
- org.osgi.service.remoteserviceadmin.namespace;version="1.0.0",
- org.osgi.util.tracker,
+ org.osgi.resource;version="[1.0.0,2.0.0)",
+ org.osgi.service.event;version="[1.0.0,2.0.0)",
+ org.osgi.service.log;version="[1.0.0,2.0.0)",
+ org.osgi.service.remoteserviceadmin;version="[1.1.0,2.0.0)",
+ org.osgi.service.remoteserviceadmin.namespace;version="[1.0.0,2.0.0)",
+ org.osgi.util.tracker;version="[1.3.2,2.0.0)",
org.xml.sax
DynamicImport-Package: *
Provide-Capability: osgi.extender; osgi.extender=osgi.remoteserviceadmin; version:Version=1.1; uses:="org.osgi.service.remoteserviceadmin",
diff --git a/osgi/bundles/org.eclipse.osgi.services.remoteserviceadmin/META-INF/MANIFEST.MF b/osgi/bundles/org.eclipse.osgi.services.remoteserviceadmin/META-INF/MANIFEST.MF
index eb914d74f..d79e4f8c1 100644
--- a/osgi/bundles/org.eclipse.osgi.services.remoteserviceadmin/META-INF/MANIFEST.MF
+++ b/osgi/bundles/org.eclipse.osgi.services.remoteserviceadmin/META-INF/MANIFEST.MF
@@ -2,7 +2,8 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %bundle.name
Bundle-SymbolicName: org.eclipse.osgi.services.remoteserviceadmin
-Bundle-Version: 1.6.100.qualifier
+Automatic-Module-Name: org.eclipse.osgi.services.remoteserviceadmin
+Bundle-Version: 1.6.200.qualifier
Bundle-Vendor: %bundle.provider
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-Localization: bundle
diff --git a/osgi/bundles/org.eclipse.osgi.services.remoteserviceadmin/pom.xml b/osgi/bundles/org.eclipse.osgi.services.remoteserviceadmin/pom.xml
index f8dd26330..d6340a30b 100644
--- a/osgi/bundles/org.eclipse.osgi.services.remoteserviceadmin/pom.xml
+++ b/osgi/bundles/org.eclipse.osgi.services.remoteserviceadmin/pom.xml
@@ -10,6 +10,6 @@
</parent>
<groupId>org.eclipse.ecf</groupId>
<artifactId>org.eclipse.osgi.services.remoteserviceadmin</artifactId>
- <version>1.6.100-SNAPSHOT</version>
+ <version>1.6.200-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project>

Back to the top